Your PHP MySQL library version 4.1.22 differs from your MySQL server version 5.0.89. This may cause

Issues related to software problems
Post Reply
hm2k
Posts: 24
Joined: 2006/08/17 10:03:24
Contact:

Your PHP MySQL library version 4.1.22 differs from your MySQ

Post by hm2k » 2010/01/06 17:56:07

I'm seeing this in phpMyAdmin:

[quote]Your PHP MySQL library version 4.1.22 differs from your MySQL server version 5.0.89. This may cause unpredictable behavior.[/quote]

[root@blade /]# cat /proc/version
Linux version 2.6.9-78.0.13.plus.c4 (mockbuild@builder10.centos.org) (gcc version 3.4.6 20060404 (Red Hat 3.4.6-9)) #1 Tue Jan 20 22:01:16 EST 2009

[root@blade /]# rpm -qa |grep MySQL
perl-DBD-MySQL-4.008-1.el4s1
[root@blade /]# rpm -qa |grep mysql
mysql-libs-5.0.89-1.el4.art
mysql-server-5.0.89-1.el4.art
mysqlclient14-4.1.22-2.el4.art
php-mysql-5.2.12-1.el4.art
mysql-5.0.89-1.el4.art

I've seen a few suggestions about, but they don't seem to work any more, so I'm looking for some fresh suggestions.

Thanks.

hm2k
Posts: 24
Joined: 2006/08/17 10:03:24
Contact:

Re: Your PHP MySQL library version 4.1.22 differs from your MySQL server version 5.0.89. This may cause

Post by hm2k » 2010/01/06 18:05:38

Never mind, a bit more searching and I found the solution:

[quote]
[root@blade /]# mv /etc/php.ini /etc/php.ini.old
[root@blade /]# mv /etc/php.ini.rpmnew /etc/php.ini
[root@blade /]# apachectl graceful
[/quote]

Source: https://www.atomicorp.com/forums/viewtopic.php?f=2&t=1950&view=next

Hope someone else finds this useful.

User avatar
AlanBartlett
Forum Moderator
Posts: 9323
Joined: 2007/10/22 11:30:09
Location: ~/Earth/UK/England/Suffolk
Contact:

Re: Your PHP MySQL library version 4.1.22 differs from your MySQL server version 5.0.89. This may cause

Post by AlanBartlett » 2010/01/06 18:07:19

It doesn't look as if you have a true [i]CentOS 4[/i] system and it appears that you have packages from elsewhere installed.

From an up to date, standard 32-bit, [i]CentOS 4.8[/i] system --

[code]
[ajb@Build32C4 ~]$ uname -r
2.6.9-89.0.18.ELsmp
[ajb@Build32C4 ~]$ sudo yum list | grep -i mysql
MySQL-python.i386 1.2.1_p2-1.el4.1 base
freeradius-mysql.i386 1.0.1-3.RHEL4.5 base
libdbi-dbd-mysql.i386 0.6.5-10.RHEL4.1 base
mod_auth_mysql.i386 1:2.6.1-2.2 base
mysql.i386 4.1.22-2.el4 base
mysql-bench.i386 4.1.22-2.el4 base
mysql-devel.i386 4.1.22-2.el4 base
mysql-server.i386 4.1.22-2.el4 base
mysqlclient10.i386 3.23.58-4.RHEL4.1 base
mysqlclient10-devel.i386 3.23.58-4.RHEL4.1 base
pdns-backend-mysql.i386 2.9.21-4.el4.centos extras
perl-DBD-MySQL.i386 2.9004-3.1.centos4 base
php-mysql.i386 4.3.9-3.26 base
qt-MySQL.i386 1:3.3.3-16.el4 base
[ajb@Build32C4 ~]$
[/code]

Post Reply

Return to “CentOS 4 - Software Support”